/**
 * CSS pour la page A propos
 * @file about.css
 * @author GN
 * @date 13/08/2026
 */
.marque-about {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 18px;
}

.marque-about-step {
    display: flex;
    align-items: center;
    gap: 16px;
    flex-shrink: 0;
}

.marque-about-number {
    width: 58px;
    height: 58px;
    min-width: 58px;

    border: 1.5px solid #d9e9fb;
    border-radius: 50%;
    background: #fff;

    display: flex;
    align-items: center;
    justify-content: center;

    color: #1675e8;
    font-size: 20px;
    font-weight: 600;
    line-height: 1;
}

.marque-about-content {
    min-width: 105px;
}

.marque-about-title {
    color: #0a3475;
    font-size: 15px;
    font-weight: 700;
    line-height: 1.3;
    margin-bottom: 3px;
}

.marque-about-text {
    color: #5c7198;
    font-size: 13px;
    font-weight: 400;
    line-height: 1.45;
}

/* Ligne entre les étapes */

.marque-about-line {
    flex: 1;
    min-width: 60px;
    max-width: 115px;
    height: 10px;

    display: flex;
    align-items: center;
    position: relative;
}

.marque-about-line::before {
    content: "";
    width: 100%;
    height: 1px;
    background: #d8e8f8;
}

.marque-about-line span {
    position: absolute;
    left: 50%;
    top: 50%;

    width: 8px;
    height: 8px;

    background: #1675e8;
    border-radius: 50%;

    transform: translate(-50%, -50%);
}


/* =========================
   MOBILE
   ========================= */

@media (max-width: 767px) {

    .marque-about {
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }

    .marque-about-step {
        width: 100%;
        gap: 18px;
    }

    .marque-about-number {
        width: 52px;
        height: 52px;
        min-width: 52px;
        font-size: 18px;
    }

    .marque-about-content {
        min-width: 0;
    }

    .marque-about-title {
        font-size: 15px;
        text-align:left;
    }

    .marque-about-text {
        font-size: 13px;
        text-align:left;
    }

    .marque-about-line {
        width: 52px;
        height: 42px;
        min-width: 52px;
        max-width: none;

        flex: none;
        justify-content: center;
    }

    .marque-about-line::before {
        width: 1px;
        height: 100%;
        background: #d8e8f8;
    }

    .marque-about-line span {
        left: 26px;
    }
}